Name:           libqtxdg
Summary:        QtXdg, a Qt5 implementation of XDG standards
Version:        3.12.0
Release:        1
License:        LGPLv2+
URL:            https://lxqt-project.org
Source0:        https://github.com/lxqt/libqtxdg/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  %{?fedora:cmake}%{!?fedora:cmake3} >= 3.0
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires: qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
BuildRequires:  file-devel
BuildRequires:  lxqt-build-tools
Requires:       xdg-user-dirs
Requires:       xdg-utils
Obsoletes:      libqtxdg-qt5 <= 1.1.0

%description
%{summary}.

%package devel
Summary:        Qt - development files for qtxdg
Obsoletes:      libqtxdg-qt5-devel <= 1.1.0
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Files used for developing and building software that uses qtxdg.


%prep
%setup -q

%build
mkdir %{_target_platform}-qt5
pushd %{_target_platform}-qt5
    %{?fedora:%{cmake}}%{!?fedora:%{cmake3}} ..
popd

%make_build -C %{_target_platform}-qt5

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}-qt5

%ldconfig_scriptlets

%files
%doc AUTHORS
%license COPYING
%{_libdir}/libQt5Xdg.so.3
%{_libdir}/libQt5Xdg.so.3.12.0
%{_libdir}/libQt5XdgIconLoader.so.3
%{_libdir}/libQt5XdgIconLoader.so.3.12.0
%{_sysconfdir}/xdg/lxqt-qtxdg.conf
%{_sysconfdir}/xdg/qtxdg.conf


%files devel
%{_libdir}/libQt5Xdg.so
%{_libdir}/libQt5XdgIconLoader.so
%{_libdir}/pkgconfig/Qt5Xdg.pc
%{_libdir}/pkgconfig/Qt5XdgIconLoader.pc
%{_includedir}/qt5xdg/
%{_includedir}/qt5xdgiconloader/
%{_datadir}/cmake/qt5xdg/
%{_datadir}/cmake/qt5xdgiconloader/
%{_qt5_archdatadir}/plugins/iconengines/libQt5XdgIconPlugin.so

%changelog
* Mon Jan 08 2024 peijiankang <peijiankang@kylinos.cn> - 3.12.0-1
- update verison to 3.12.0

* Fri Aug 04 2023 yajun<yajun@kylinos.cn> - 3.11.0-1
- update to upstream version 3.11.0

* Wed Jan 12 2022 pei-jiankang<peijiankang@kylinos.com> - 3.7.1-1
- update to upstream version 3.7.1

* Mon Dec 13 2021 heyitao <heyitao@uniontech.com> - 3.3.1-4
- Remove the dist tag in the version.

* Thu Jul 23 2020 Zhao Yang <yangzhao1@kylinos.cn> - 3.3.1-3
- Initial release for OpenEuler
